summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLoic Dachary <ldachary@redhat.com>2014-12-15 12:29:51 +0100
committerLoic Dachary <ldachary@redhat.com>2014-12-15 18:17:15 +0100
commit1be39b85504e6d3c892a31313de3763a55e18dcd (patch)
treee916f9b7cae03e4c804a04429dc6d05dbe443d7c
parent3785ed26321f11918908fe65b7a00aa218d9e80a (diff)
downloadjerasure-1be39b85504e6d3c892a31313de3763a55e18dcd.tar.gz
tests: fail if gf_methods is not found
If the gf_methods was not found, the test would silently succeed doing nothing. Check for existence and fail if it is not in the path. Signed-off-by: Loic Dachary <loic@dachary.org>
-rwxr-xr-xExamples/test_all_gfs.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/Examples/test_all_gfs.sh b/Examples/test_all_gfs.sh
index a03ee9c..b78dd6b 100755
--- a/Examples/test_all_gfs.sh
+++ b/Examples/test_all_gfs.sh
@@ -1,4 +1,4 @@
-#
+#!/bin/bash
#
# Copyright (c) 2013, James S. Plank and Kevin Greenan
# All rights reserved.
@@ -42,6 +42,11 @@ k=12
m=3
seed=1370
+if ! test -x ${GF_METHODS} ; then
+ ${GF_METHODS}
+ exit 1
+fi
+
# Test all w=8
${GF_METHODS} 8 -B -L | awk -F: '{ if ($1 == "w=8") print $2; }' |
while read method; do